org.apache.http.client.protocol

## Class HttpClientContext

- java.lang.Object
- - org.apache.http.protocol.HttpCoreContext
  - - org.apache.http.client.protocol.HttpClientContext

- All Implemented Interfaces:
    HttpContext

      public class HttpClientContext
      extends HttpCoreContext

  适配器类，为HTTP请求执行过程中使用的常用`HttpContext`属性提供方便类型的安全设置器和getter。
  从以下版本开始：
    4.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AUTH_CACHE` 表示认证方案缓存的`AuthCache`对象的属性名称。
    `static String` | `AUTHSCHEME_REGISTRY` 一个表示实际`AuthSchemeProvider`注册表的`Lookup`对象的属性名称。
    `static String` | `COOKIE_ORIGIN` `CookieOrigin`对象的属性名称，表示原始服务器的实际细节。
    `static String` | `COOKIE_SPEC` 表示实际cookie规范的`CookieSpec`对象的属性名称。
    `static String` | `COOKIE_STORE` 代表实际Cookie存储的`CookieStore`对象的属性名称。
    `static String` | `COOKIESPEC_REGISTRY` 一个表示实际`CookieSpecProvider`注册表的`Lookup`对象的属性名称。
    `static String` | `CREDS_PROVIDER` 表示实际凭据提供程序的`CredentialsProvider`对象的属性名称。
    `static String` | `HTTP_ROUTE` 表示实际连接路由的`RouteInfo`对象的属性名称。
    `static String` | `PROXY_AUTH_STATE` 代表实际代理身份验证状态的`AuthState`对象的属性名称。
    `static String` | `REDIRECT_LOCATIONS` `List`对象的属性名称，表示请求执行过程中接收的所有重定向位置的集合。
    `static String` | `REQUEST_CONFIG` 表示实际请求配置的`RequestConfig`对象的属性名称。
    `static String` | `TARGET_AUTH_STATE` 表示实际目标认证状态的`AuthState`对象的属性名称。
    `static String` | `USER_TOKEN` 表示实际用户身份的`Object`对象的属性名称，如用户`Principal` 。

    - ### Fields inherited from class org.apache.http.protocol.HttpCoreContext

      `HTTP_CONNECTION, HTTP_REQ_SENT, HTTP_REQUEST, HTTP_RESPONSE, HTTP_TARGET_HOST`

    - ### Fields inherited from interface org.apache.http.protocol.HttpContext

      `RESERVED_PREFIX`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `HttpClientContext()`
    `HttpClientContext(HttpContext context)`

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HttpClientContext` | `adapt(HttpContext context)`
    `static HttpClientContext` | `create()`
    `AuthCache` | `getAuthCache()`
    `Lookup<AuthSchemeProvider>` | `getAuthSchemeRegistry()`
    `CookieOrigin` | `getCookieOrigin()`
    `CookieSpec` | `getCookieSpec()`
    `Lookup<CookieSpecProvider>` | `getCookieSpecRegistry()`
    `CookieStore` | `getCookieStore()`
    `CredentialsProvider` | `getCredentialsProvider()`
    `RouteInfo` | `getHttpRoute()`
    `AuthState` | `getProxyAuthState()`
    `List<URI>` | `getRedirectLocations()`
    `RequestConfig` | `getRequestConfig()`
    `AuthState` | `getTargetAuthState()`
    `Object` | `getUserToken()`
    `<T> T` | `getUserToken(Class<T> clazz)`
    `void` | `setAuthCache(AuthCache authCache)`
    `void` | `setAuthSchemeRegistry(Lookup<AuthSchemeProvider> lookup)`
    `void` | `setCookieSpecRegistry(Lookup<CookieSpecProvider> lookup)`
    `void` | `setCookieStore(CookieStore cookieStore)`
    `void` | `setCredentialsProvider(CredentialsProvider credentialsProvider)`
    `void` | `setRequestConfig(RequestConfig config)`
    `void` | `setUserToken(Object obj)`

    - ### Methods inherited from class org.apache.http.protocol.HttpCoreContext

      `getAttribute, getAttribute, getConnection, getConnection, getRequest, getResponse, getTargetHost, isRequestSent, removeAttribute, setAttribute, setTargetHost`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 字段详细信息

    - #### HTTP_ROUTE

          public static final String HTTP_ROUTE

      表示实际连接路由的`RouteInfo`对象的属性名称。
      另请参见：
        Constant Field Values

    - #### REDIRECT_LOCATIONS

          public static final String REDIRECT_LOCATIONS

      `List`对象的属性名称，表示在请求执行过程中接收到的所有重定向位置的集合。
      另请参见：
        Constant Field Values

    - #### COOKIESPEC_REGISTRY

          public static final String COOKIESPEC_REGISTRY

      一个表示实际`CookieSpecProvider`注册表的`Lookup`对象的属性名称。
      另请参见：
        Constant Field Values

    - #### COOKIE_SPEC

          public static final String COOKIE_SPEC

      表示实际Cookie规范的`CookieSpec`对象的属性名称。
      另请参见：
        Constant Field Values

    - #### COOKIE_ORIGIN

          public static final String COOKIE_ORIGIN

      一个表示原始服务器的实际细节的`CookieOrigin`对象的属性名称。
      另请参见：
        Constant Field Values

    - #### COOKIE_STORE

          public static final String COOKIE_STORE

      代表实际Cookie存储的`CookieStore`对象的属性名称。
      另请参见：
        Constant Field Values

    - #### CREDS_PROVIDER

          public static final String CREDS_PROVIDER

      表示实际凭据提供者的`CredentialsProvider`对象的属性名称。
      另请参见：
        Constant Field Values

    - #### AUTH_CACHE

          public static final String AUTH_CACHE

      表示认证方案缓存的`AuthCache`对象的属性名称。
      另请参见：
        Constant Field Values

    - #### TARGET_AUTH_STATE

          public static final String TARGET_AUTH_STATE

      表示实际目标认证状态的`AuthState`对象的属性名称。
      另请参见：
        Constant Field Values

    - #### PROXY_AUTH_STATE

          public static final String PROXY_AUTH_STATE

      表示实际代理身份验证状态的`AuthState`对象的属性名称。
      另请参见：
        Constant Field Values

    - #### USER_TOKEN

          public static final String USER_TOKEN

      表示实际用户身份的`Object`对象的属性名称，如用户`Principal` 。
      另请参见：
        Constant Field Values

    - #### AUTHSCHEME_REGISTRY

          public static final String AUTHSCHEME_REGISTRY

      一个表示实际`AuthSchemeProvider`注册表的`Lookup`对象的属性名称。
      另请参见：
        Constant Field Values

    - #### REQUEST_CONFIG

          public static final String REQUEST_CONFIG

      表示实际请求配置的`RequestConfig`对象的属性名称。
      另请参见：
        Constant Field Values

  - ### 构造方法详细信息

    - #### HttpClientContext

          public HttpClientContext(HttpContext context)

    - #### HttpClientContext

          public HttpClientContext()

  - ### 方法详细信息

    - #### adapt

          public static HttpClientContext adapt(HttpContext context)

    - #### create

          public static HttpClientContext create()

    - #### getHttpRoute

          public RouteInfo getHttpRoute()

    - #### getRedirectLocations

          public List<URI> getRedirectLocations()

    - #### getCookieStore

          public CookieStore getCookieStore()

    - #### setCookieStore

          public void setCookieStore(CookieStore cookieStore)

    - #### getCookieSpec

          public CookieSpec getCookieSpec()

    - #### getCookieOrigin

          public CookieOrigin getCookieOrigin()

    - #### getCookieSpecRegistry

          public Lookup<CookieSpecProvider> getCookieSpecRegistry()

    - #### setCookieSpecRegistry

          public void setCookieSpecRegistry(Lookup<CookieSpecProvider> lookup)

    - #### getAuthSchemeRegistry

          public Lookup<AuthSchemeProvider> getAuthSchemeRegistry()

    - #### setAuthSchemeRegistry

          public void setAuthSchemeRegistry(Lookup<AuthSchemeProvider> lookup)

    - #### getCredentialsProvider

          public CredentialsProvider getCredentialsProvider()

    - #### setCredentialsProvider

          public void setCredentialsProvider(CredentialsProvider credentialsProvider)

    - #### getAuthCache

          public AuthCache getAuthCache()

    - #### setAuthCache

          public void setAuthCache(AuthCache authCache)

    - #### getTargetAuthState

          public AuthState getTargetAuthState()

    - #### getProxyAuthState

          public AuthState getProxyAuthState()

    - #### getUserToken

          public <T> T getUserToken(Class<T> clazz)

    - #### getUserToken

          public Object getUserToken()

    - #### setUserToken

          public void setUserToken(Object obj)

    - #### getRequestConfig

          public RequestConfig getRequestConfig()

    - #### setRequestConfig

          public void setRequestConfig(RequestConfig config)

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585